Bug 6761 - Longer userid field
Summary: Longer userid field
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Navya V P
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-22 04:35 UTC by Savitra Sirohi
Modified: 2013-12-05 19:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Longer userid field (2.18 KB, patch)
2011-09-08 07:53 UTC, Amit Gupta
Details | Diff | Splinter Review
With updated DB version xxx (1.74 KB, patch)
2011-09-09 06:20 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 6761 - Longer userid field (2.02 KB, patch)
2011-10-07 05:47 UTC, Amit Gupta
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Savitra Sirohi 2011-08-22 04:35:31 UTC
Some libraries use email ids as userids. The current length of the userid field is 30 and is not sufficient to accomodate some email addresses. 

This change will increase the length to 75.
Comment 1 Amit Gupta 2011-09-08 07:53:46 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-09-08 13:28:43 UTC
Version numbers should only be assigned by the RM. 

The kohaversion file shouldn't be in this patch and the updatedatabase file should not say:

+$DBversion = "3.05.00.011";

it should instead say:

+$DBversion = "3.05.00.XXX";
Comment 3 Amit Gupta 2011-09-09 06:20:24 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-09-09 15:31:02 UTC
There is still the kohaversion.pl file in the first patch.  Can you make this one patch so that the first patch doesn't break things before applying the second?
Comment 5 Amit Gupta 2011-09-12 05:02:02 UTC
Nicole: Apply second patch only no need for first one.
Comment 6 Nicole C. Engard 2011-09-13 11:49:41 UTC
Comment on attachment 5354 [details] [review]
Longer userid field

marking obsolete since it's not necessary
Comment 7 Nicole C. Engard 2011-09-27 16:20:40 UTC
sorry for the delay - this doesn't apply:


With updated DB version xxx
Apply? [yn] y

Applying: Bug 6761 - Longer userid field with $DBversion = "3.05.00.XXX";
/home/nengard/kohaclone/.git/rebase-apply/patch:33: trailing whitespace.
 
error: patch failed: installer/data/mysql/kohastructure.sql:244
error: installer/data/mysql/kohastructure.sql: patch does not apply
Patch failed at 0001 Bug 6761 - Longer userid field with $DBversion = "3.05.00.XXX";
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Patch left in /tmp/With-updated-DB-version-xxx-wj4pw_.patch
nengard@debian:~/kohaclone$
Comment 8 Amit Gupta 2011-10-07 05:47:01 UTC
Created attachment 5760 [details] [review]
Bug 6761 - Longer userid field
Comment 9 Ian Walls 2011-10-07 11:35:19 UTC
Simple change to read; adjusts both kohastructure.sql and updatedatabase accordingly.

One question, out of curiousity mostly:  why 75?

Consider this my sign off as well: Marking as Passed QA
Comment 10 Chris Cormack 2011-10-09 20:55:41 UTC
Pushed, please test
Comment 11 Jared Camins-Esakov 2012-05-23 12:07:32 UTC
Included in 3.6 prior to 3.6.5.